#ifndef ISOTRMATC_H
#define ISOTRMATC_H

#include <stdio.h>
#include "genfile.h"
struct vector;
struct atsel;

class isotrmatc
{
 public:
  isotrmatc (void);
  ~isotrmatc (void);
  void read (XFILE *in);
  double get_k();
  double get_c();
  double get_e();
  double get_nu();
  double get_alpha();
  void changeparam (atsel &atm,vector &val);

  //  coefficient of conductivity
  double k;
  //  coefficient of capacity
  double c;
  //Young's modulus
  double e;
  //Poisson's constant
  double nu;
  //  coefficient of thermal dilatation
  double alpha;
  


};

#endif
